<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizMailAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizMailAccount">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="host" property="host" />
        <result column="smtp_port" property="smtpPort" />
        <result column="imap_port" property="imapPort" />
        <result column="username" property="username" />
        <result column="password" property="password" />
        <result column="from_address" property="fromAddress" />
        <result column="ssl_enable" property="sslEnable" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, id, host, smtp_port, imap_port, username, password, from_address, ssl_enable, status, remark, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
